org.apache.ignite

## Class IgniteSystemProperties

- java.lang.Object
- - org.apache.ignite.IgniteSystemProperties

-     public final class IgniteSystemProperties
      extends Object

  Contains constants for all system properties and environmental variables in Ignite. These properties and variables can be used to affect the behavior of Ignite.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHECKPOINT_PARALLEL_SORT_THRESHOLD` Starting from this number of dirty pages in checkpoint, array will be sorted with `Arrays.parallelSort(Comparable[])` in case of `CheckpointWriteOrder.SEQUENTIAL`.
    `static String` | `CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL` Time interval that indicates that client reconnect throttle must be reset to zero. 2 minutes by default.
    `static String` | `IGNITE_AFFINITY_BACKUPS_THRESHOLD` Size threshold to allocate and retain additional HashMap to improve contains() which leads to extra memory consumption.
    `static String` | `IGNITE_AFFINITY_HISTORY_SIZE` Maximum size for affinity assignment history.
    `static String` | `IGNITE_ALLOW_ATOMIC_OPS_IN_TX` Flag indicating whether atomic operations allowed for use inside transactions.
    `static String` | `IGNITE_ALLOW_DML_INSIDE_TRANSACTION` When set to `true`, Ignite will allow execute DML operation (MERGE|INSERT|UPDATE|DELETE) within transaction for non MVCC mode.
    `static String` | `IGNITE_ALLOW_START_CACHES_IN_PARALLEL` Enables start caches in parallel.
    `static String` | `IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE` Maximum size for atomic cache queue delete history (default is 200 000 entries per partition).
    `static String` | `IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT` Atomic cache deferred update timeout.
    `static String` | `IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE` Atomic cache deferred update response buffer size.
    `static String` | `IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT` Atomic cache deferred update timeout.
    `static String` | `IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL` Interval between logging of time of next auto-adjust.
    `static String` | `IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES` Deprecated. Should be removed in Apache Ignite 2.0.
    `static String` | `IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2` Manages type of serialization mechanism for `String` that is marshalled/unmarshalled by BinaryMarshaller.
    `static String` | `IGNITE_BINARY_SORT_OBJECT_FIELDS` Deprecated. Should be removed in Apache Ignite 2.0.
    `static String` | `IGNITE_BPLUS_TREE_LOCK_RETRIES` Number of repetitions to capture a lock in the B+Tree.
    `static String` | `IGNITE_CACHE_CLIENT` Property controlling default behavior of cache client flag.
    `static String` | `IGNITE_CACHE_KEY_VALIDATION_DISABLED` Flag indicating whether validation of keys put to cache should be disabled.
    `static String` | `IGNITE_CACHE_REMOVED_ENTRIES_TTL` Ttl of removed cache entries (ms).
    `static String` | `IGNITE_CACHE_RETRIES_COUNT` Number of cache operation retries in case of topology exceptions.
    `static String` | `IGNITE_CACHE_START_SIZE` Cache start size for on-heap maps.
    `static String` | `IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT` Timeout for checkpoint read lock acquisition in milliseconds.
    `static String` | `IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE` Property for setup percentage of archive size for checkpoint trigger.
    `static String` | `IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT` When client cache is started or closed special discovery message is sent to notify cluster (for example this is needed for `ClusterGroup.forCacheNodes(String)` API.
    `static String` | `IGNITE_CLUSTER_NAME` Ignite cluster name.
    `static String` | `IGNITE_CONFIG_URL` System property to hold optional configuration URL.
    `static String` | `IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT` When set to `true`, for consistent id will calculate by host name, without port, and you can use only one node for host in cluster.
    `static String` | `IGNITE_CONSOLE_APPENDER` If this property is set to `true` (default) and Ignite is launched in verbose mode (see `IGNITE_QUIET`) and no console appenders can be found in configuration, then default console appender will be added.
    `static String` | `IGNITE_DAEMON` Presence of this system property with value `true` will make the grid node start as a daemon node.
    `static String` | `IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID` When set to `true`, Data store folders are generated only by consistent id, and no consistent ID will be set based on existing data store folders.
    `static String` | `IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD` Tasks stealing will be started if tasks queue size per data-streamer thread exceeds this threshold.
    `static String` | `IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE` Sets default `storage page size`.
    `static String` | `IGNITE_DEFAULT_DISK_PAGE_COMPRESSION` Sets default `disk page compression`.
    `static String` | `IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE` One phase commit deferred ack request buffer size.
    `static String` | `IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT` One phase commit deferred ack request timeout.
    `static String` | `IGNITE_DELAYED_REPLACED_PAGE_WRITE` When set to `true` (default), pages are written to page store without holding segment lock (with delay).
    `static String` | `IGNITE_DEP_MODE_OVERRIDE` System property to override deployment mode configuration parameter.
    `static String` | `IGNITE_DEV_ONLY_LOGGING_DISABLED` When set to `true`, warnings that are intended for development environments and not for production (such as coding mistakes in code using Ignite) will not be logged.
    `static String` | `IGNITE_DIAGNOSTIC_ENABLED`
    `static String` | `IGNITE_DIAGNOSTIC_WARN_LIMIT` Maximum number of diagnostic warning messages per category, when waiting for PME.
    `static String` | `IGNITE_DIRECT_IO_ENABLED` When set to `true`, direct IO may be enabled.
    `static String` | `IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION` Flag to disable memory optimization: BitSets instead of HashSets to store partitions.
    `static String` | `IGNITE_DISABLE_HOSTNAME_VERIFIER` System property to disable `HostnameVerifier` for SSL connections.
    `static String` | `IGNITE_DISABLE_ONHEAP_CACHE` When set to `true`, on-heap cache cannot be enabled - see `CacheConfiguration.setOnheapCacheEnabled(boolean)`.
    `static String` | `IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION` When property is set `false` each next exchange will try to compare with previous.
    `static String` | `IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT` Disables cache interceptor triggering in case of conflicts.
    `static String` | `IGNITE_DISABLE_WAL_DURING_REBALANCING` When set to `false`, WAL will not be automatically disabled during rebalancing if there is no partition in OWNING state.
    `static String` | `IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY` Defines reconnect delay in milliseconds for client node that was failed forcible.
    `static String` | `IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE` Maximum number of discovery message history used to support client reconnect.
    `static String` | `IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE` When set to `true`, cache metrics are not included into the discovery metrics update message (in this case message contains only cluster metrics).
    `static String` | `IGNITE_DISCOVERY_HISTORY_SIZE` Maximum size for discovery messages history.
    `static String` | `IGNITE_DISCOVERY_METRICS_QNT_WARN` Logging a warning message when metrics quantity exceeded a specified number.
    `static String` | `IGNITE_DUMP_PAGE_LOCK_ON_FAILURE` Enables threads locks dumping on critical node failure.
    `static String` | `IGNITE_DUMP_THREADS_ON_FAILURE` Enables threads dumping on critical node failure.
    `static String` | `IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT` Throttling time out for thread dump generation during failure handling.
    `static String` | `IGNITE_DUMP_TX_COLLISIONS_INTERVAL` When above zero, prints tx key collisions once per interval.
    `static String` | `IGNITE_ENABLE_EXPERIMENTAL_COMMAND` System property to enable experimental commands in control.sh script.
    `static String` | `IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING` Enables extended logging of indexes create/rebuild process.
    `static String` | `IGNITE_ENABLE_FORCIBLE_NODE_KILL` If this property is set, a node will forcible fail a remote node when it fails to establish a communication connection.
    `static String` | `IGNITE_EVENT_DRIVEN_SERVICE_PROCESSOR_ENABLED` Manages the type of the implementation of the service processor (implementation of the `IgniteServices`).
    `static String` | `IGNITE_EVICTION_PERMITS` Number of concurrent operation for evict partitions.
    `static String` | `IGNITE_EXCEPTION_REGISTRY_MAX_SIZE` Property controlling size of buffer holding last exception.
    `static String` | `IGNITE_EXCHANGE_HISTORY_SIZE` Maximum size for exchange history.
    `static String` | `IGNITE_EXCHANGE_MERGE_DELAY`
    `static String` | `IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY` Flag to enable triggering failure handler for node if unrecoverable partition inconsistency is discovered during partition update counters exchange.
    `static String` | `IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE` Amount of memory reserved in the heap at node start, which can be dropped to increase the chances of success when handling OutOfMemoryError.
    `static String` | `IGNITE_FORCE_MVCC_MODE_IN_TESTS` For test purposes only.
    `static String` | `IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES` Maximum amount of bytes that can be stored in history of `DistributedMetaStorage` updates.
    `static String` | `IGNITE_GRID_CLIENT_LOG_ENABLED` If this property is set to `true` enable logging in `GridClient`.
    `static String` | `IGNITE_H2_DEBUG_CONSOLE` Deprecated. Since 2.8. H2 console is no longer supported.
    `static String` | `IGNITE_H2_DEBUG_CONSOLE_PORT` Deprecated. Since 2.8. H2 console is no longer supported.
    `static String` | `IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD` System property to specify period in milliseconds between calls of the SQL statements cache cleanup task.
    `static String` | `IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT` System property to specify timeout in milliseconds after which thread's SQL statements cache is cleared by cleanup task if the thread does not perform any query.
    `static String` | `IGNITE_HOME` Defines Ignite installation folder.
    `static String` | `IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE` Indexing discovery history size.
    `static String` | `IGNITE_IO_BALANCE_PERIOD`
    `static String` | `IGNITE_IO_DUMP_ON_TIMEOUT`
    `static String` | `IGNITE_IPC_SHMEM_SPACE_DEBUG` If this property is set to `true` then shared memory space native debug will be enabled.
    `static String` | `IGNITE_JCACHE_DEFAULT_ISOLATED` Property controlling whether CacheManager will start grid with isolated IP finder when default URL is passed in.
    `static String` | `IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY` JDBC driver cursor remove delay.
    `static String` | `IGNITE_JETTY_HOST` This property allows to override Jetty host for REST processor.
    `static String` | `IGNITE_JETTY_LOG_NO_OVERRIDE` This property does not allow Ignite to override Jetty log configuration for REST processor.
    `static String` | `IGNITE_JETTY_PORT` This property allows to override Jetty local port for REST processor.
    `static String` | `IGNITE_JOBS_HISTORY_SIZE` System property to override default job processor maps sizes for finished jobs and cancellation requests.
    `static String` | `IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL` Deprecated. Use `GridMetricManager` instead.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_DISABLED` Ignite JVM pause detector disabled.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT` Ignite JVM pause detector last events count.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_PRECISION` Ignite JVM pause detector precision.
    `static String` | `IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD` Ignite JVM pause detector threshold.
    `static String` | `IGNITE_KEEP_STATIC_CACHE_CONFIGURATION` Keep static cache configuration even if stored cache data differs from the static config.
    `static String` | `IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP` When set to `false`, loaded pages implementation is switched to previous version of implementation, FullPageIdTable.
    `static String` | `IGNITE_LOCAL_HOST` The system property sets a system-wide local IP address or hostname to be used by Ignite networking components.
    `static String` | `IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY` Indicating whether local store keeps primary only.
    `static String` | `IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP` Scan the classpath on startup and log all the files containing in it.
    `static String` | `IGNITE_LOG_DIR` Environment variable to override logging directory that has been set in logger configuration.
    `static String` | `IGNITE_LOG_GRID_NAME` Deprecated. Use `IGNITE_LOG_INSTANCE_NAME`.
    `static String` | `IGNITE_LOG_INSTANCE_NAME` If this system property is present the Ignite will include instance name into verbose log.
    `static String` | `IGNITE_LOG_THROTTLE_CAPACITY` Max amount of remembered errors for `GridLogThrottle`.
    `static String` | `IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR` Long-long offheap map load factor.
    `static String` | `IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT` Cache operations that take more time than value of this property will be output to log.
    `static String` | `IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT` Upper time limit between long running/hanging operations debug dumps.
    `static String` | `IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD` Threshold timeout for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc) and user time (time when client node runs some code while holding transaction and not waiting it).
    `static String` | `IGNITE_MARSHAL_BUFFERS_RECHECK` System property to specify how often in milliseconds marshal buffers should be rechecked and potentially trimmed.
    `static String` | `IGNITE_MARSHALLER_BLACKLIST` Defines path to the file that contains list of classes disallowed to safe deserialization.
    `static String` | `IGNITE_MARSHALLER_WHITELIST` Defines path to the file that contains list of classes allowed to safe deserialization.
    `static String` | `IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP` The master key name that the node will use during the recovery.
    `static String` | `IGNITE_MAX_COMPLETED_TX_COUNT` Property controlling size of buffer holding completed transaction versions.
    `static String` | `IGNITE_MAX_INDEX_PAYLOAD_SIZE` System property to specify maximum payload size in bytes for `H2TreeIndex`.
    `static String` | `IGNITE_MAX_NESTED_LISTENER_CALLS` Maximum number of nested listener calls before listener notification becomes asynchronous.
    `static String` | `IGNITE_MBEAN_APPEND_CLASS_LOADER_ID` If this property is set to `true` then Ignite will append hash code of class loader to MXBean name.
    `static String` | `IGNITE_MBEAN_APPEND_JVM_ID` If this property is set to `true` then Ignite will append hash code of `Ignite` class as hex string and append JVM name returned by `RuntimeMXBean.getName()`.
    `static String` | `IGNITE_MBEANS_DISABLED` If property is set to `true`, then Ignite will disable MBeans registration.
    `static String` | `IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD` When unsafe memory copy if performed below this threshold, Ignite will do it on per-byte basis instead of calling to Unsafe.copyMemory().
    `static String` | `IGNITE_MEMORY_UNALIGNED_ACCESS` Whether Ignite can access unaligned memory addresses.
    `static String` | `IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT` Deprecated. Not used anymore.
    `static String` | `IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD` Maximum number for cached MVCC transaction updates.
    `static String` | `IGNITE_NEAR_GET_MAX_REMAPS` This property defines the maximum number of attempts to remap near get to the same primary node.
    `static String` | `IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT` Sets timeout for TCP client recovery descriptor reservation.
    `static String` | `IGNITE_NO_ASCII` If this system property is present (any value) - no ASCII logo will be printed.
    `static String` | `IGNITE_NO_DISCO_ORDER` Name of the system property to disable requirement for proper node ordering by discovery SPI.
    `static String` | `IGNITE_NO_SELECTOR_OPTS` If set to `true`, then default selected keys set is used inside `GridNioServer` which lead to some extra garbage generation when processing selected keys.
    `static String` | `IGNITE_NO_SHUTDOWN_HOOK` If this system property is set to `true` - no shutdown hook will be set.
    `static String` | `IGNITE_NODE_IDS_HISTORY_SIZE` Maximum size of history of server nodes (server node IDs) that ever joined to current topology.
    `static String` | `IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL` Ignite page memory concurrency level.
    `static String` | `IGNITE_OFFHEAP_SAFE_RELEASE` Flag that will force Ignite to fill memory block with some recognisable pattern right before this memory block is released.
    `static String` | `IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID` Manages `OptimizedMarshaller` behavior of `serialVersionUID` computation for `Serializable` classes.
    `static String` | `IGNITE_OVERRIDE_CONSISTENT_ID` System property to specify consistent id of Ignite node.
    `static String` | `IGNITE_OVERRIDE_MCAST_GRP` System property to override multicast group taken from configuration.
    `static String` | `IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED` If this property is set, `DataStorageConfiguration.setWriteThrottlingEnabled(boolean)` will be overridden to `true` regardless the initial value in the configuration.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_CAPACITY` Capacity in pages for storing in page lock tracker strucuture.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL` Page lock tracker thread for checking hangs threads interval.
    `static String` | `IGNITE_PAGE_LOCK_TRACKER_TYPE` Page lock tracker type
    `static String` | `IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING` Disable onheap caching of pages lists (free lists and reuse lists).
    `static String` | `IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD` The threshold of uneven distribution above which partition distribution will be logged.
    `static String` | `IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD` If a partition release future completion time during an exchange exceeds this threshold, the contents of the future will be dumped to the log on exchange.
    `static String` | `IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE` Number of checkpoint history entries held in memory.
    `static String` | `IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY` WAL rebalance threshold.
    `static String` | `IGNITE_PDS_SKIP_CRC` Skip CRC calculation flag.
    `static String` | `IGNITE_PDS_WAL_REBALANCE_THRESHOLD` WAL rebalance threshold.
    `static String` | `IGNITE_PENDING_TX_TRACKER_ENABLED` System property to enable pending transaction tracker.
    `static String` | `IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED` Flag indicating whether performance suggestions output on start should be disabled.
    `static String` | `IGNITE_PME_FREE_SWITCH_DISABLED` PME-free switch explicitly disabled.
    `static String` | `IGNITE_PRELOAD_RESEND_TIMEOUT` System property to hold preload resend timeout for evicted partitions.
    `static String` | `IGNITE_PROG_NAME` Name of the system property defining name of command line program.
    `static String` | `IGNITE_QUIET` Set to either `true` or `false` to enable or disable quiet mode of Ignite.
    `static String` | `IGNITE_READ_LOAD_BALANCING` Whenever read load balancing is enabled, that means 'get' requests will be distributed between primary and backup nodes if it is possible and `CacheConfiguration.isReadFromBackup()` is `true`.
    `static String` | `IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL` Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
    `static String` | `IGNITE_REBALANCE_THROTTLE_OVERRIDE` Deprecated. Use `IgniteConfiguration.getRebalanceThrottle()` instead.
    `static String` | `IGNITE_RECOVERY_SEMAPHORE_PERMITS` Limit the maximum number of objects in memory during the recovery procedure.
    `static String` | `IGNITE_RECOVERY_VERBOSE_LOGGING` Allows to log additional information about all restored partitions after binary and logical recovery phases.
    `static String` | `IGNITE_REFLECTION_CACHE_SIZE` System property to override default reflection cache size.
    `static String` | `IGNITE_REST_GETALL_AS_ARRAY` Deprecated. Should be made default in Apache Ignite 3.0.
    `static String` | `IGNITE_REST_MAX_TASK_RESULTS` This property allows to override maximum count of task results stored on one node in REST processor.
    `static String` | `IGNITE_REST_SECURITY_TOKEN_TIMEOUT` This property allow rewriting default (`300`) REST session security token expire time (in seconds).
    `static String` | `IGNITE_REST_SESSION_TIMEOUT` This property allow rewriting default (`30`) REST session expire time (in seconds).
    `static String` | `IGNITE_REST_START_ON_CLIENT` This property allows to override default behavior that rest processor doesn't start on client node.
    `static String` | `IGNITE_RESTART_CODE` This property is used internally to pass an exit code to loader when Ignite instance is being restarted.
    `static String` | `IGNITE_REUSE_MEMORY_ON_DEACTIVATE` Try reuse memory on deactivation.
    `static String` | `IGNITE_SECURITY_COMPATIBILITY_MODE` When set to `true`, Ignite switches to compatibility mode with versions that don't support service security permissions.
    `static String` | `IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK` Property allowing to skip configuration consistency checks.
    `static String` | `IGNITE_SKIP_PARTITION_SIZE_VALIDATION` When set to `true`, Ignite will skip partitions sizes check on partition validation after rebalance has finished.
    `static String` | `IGNITE_SLOW_TX_WARN_TIMEOUT` Transactions that take more time, than value of this property, will be output to log with warning level.
    `static String` | `IGNITE_SQL_ALLOW_KEY_VAL_UPDATES` Allow use composite _key, _val columns at the INSERT/UPDATE/MERGE statements.
    `static String` | `IGNITE_SQL_DISABLE_SYSTEM_VIEWS` Disable SQL system views.
    `static String` | `IGNITE_SQL_FORCE_LAZY_RESULT_SET` Deprecated. Since version 2.8.
    `static String` | `IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN` Maximum number of different partitions to be extracted from between expression within sql query.
    `static String` | `IGNITE_SQL_MERGE_TABLE_MAX_SIZE` Property controlling maximum number of SQL result rows which can be fetched into a merge table.
    `static String` | `IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE` Property controlling number of SQL result rows that will be fetched into a merge table at once before applying binary search for the bounds.
    `static String` | `IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK` Disable fallback to H2 SQL parser if the internal SQL parser fails to parse the statement.
    `static String` | `IGNITE_SQL_RETRY_TIMEOUT` SQL retry timeout.
    `static String` | `IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE` Enable backward compatible to use 'IGNITE' as SQL system schema.
    `static String` | `IGNITE_SQL_UUID_DDL_BYTE_FORMAT` Enable backward compatible handling of UUID through DDL.
    `static String` | `IGNITE_SSH_HOST` System property to hold SSH host for visor-started nodes.
    `static String` | `IGNITE_SSH_USER_NAME` System property to hold SSH user name for visor-started nodes.
    `static String` | `IGNITE_START_CACHES_ON_JOIN`
    `static String` | `IGNITE_STARVATION_CHECK_INTERVAL` This system property defines interval in milliseconds in which Ignite will check thread pool state for starvation.
    `static String` | `IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE` Manages backward compatibility of `StreamTransformer.from(CacheEntryProcessor)` method.
    `static String` | `IGNITE_SUCCESS_FILE` Name of the system property defining success file name.
    `static String` | `IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT` Maximum inactivity period for system worker in milliseconds.
    `static String` | `IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES` Enables setting attribute value of `ATTR_HOST_NAMES` when value `getLocalHost` is ip, for backward compatibility.
    `static String` | `IGNITE_TCP_DISCOVERY_ADDRESSES` Comma separated list of addresses in format "10.100.22.100:45000,10.100.22.101:45000".
    `static String` | `IGNITE_TEST_FEATURES_ENABLED` If property is set to `true`, then test features will be enabled.
    `static String` | `IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT` If this property is set to `true` then Ignite will log thread dump in case of partition exchange timeout.
    `static String` | `IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT` Threshold time (in millis) to print warning to log if waiting for next wal segment took longer than the threshold.
    `static String` | `IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE` Property for setup percentage of WAL archive size to calculate threshold since which removing of old archive should be started.
    `static String` | `IGNITE_THROTTLE_LOG_THRESHOLD` Threshold for throttling operations logging.
    `static String` | `IGNITE_TO_STRING_COLLECTION_LIMIT` Limit collection (map, array) elements number to output.
    `static String` | `IGNITE_TO_STRING_INCLUDE_SENSITIVE` Setting to `true` enables writing sensitive information in `toString()` output.
    `static String` | `IGNITE_TO_STRING_MAX_LENGTH` Maximum length for `toString()` result.
    `static String` | `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` The coefficient for samples of completed transactions that will be dumped in log.
    `static String` | `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT` The limit of samples of completed transactions that will be dumped in log per second, if `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is above `0.0`.
    `static String` | `IGNITE_TROUBLESHOOTING_LOGGER` Setting this option to `true` will enable troubleshooting logger.
    `static String` | `IGNITE_TTL_EXPIRE_BATCH_SIZE` When cache has entries with expired TTL, each user operation will also remove this amount of expired entries.
    `static String` | `IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS` Specifies maximum number of iterations for deadlock detection procedure.
    `static String` | `IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT` Specifies timeout for deadlock detection procedure.
    `static String` | `IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED` Shows if dump requests from local node to near node are allowed, when long running transaction is found.
    `static String` | `IGNITE_UNWIND_THROTTLING_TIMEOUT` Throttling timeout in millis which avoid excessive PendingTree access on unwind if there is nothing to clean yet.
    `static String` | `IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI` Deprecated. Should be removed in Apache Ignite 2.0.
    `static String` | `IGNITE_UPDATE_NOTIFIER` If this system property is set to `false` - no checks for new versions will be performed by Ignite.
    `static String` | `IGNITE_USE_ASYNC_FILE_IO_FACTORY` If this property is set, then Ignite will use Async File IO factory by default.
    `static String` | `IGNITE_USE_LEGACY_NODE_COMPARATOR` If the property is set Ignite will use legacy node comparator (based on node order) inste Default value is `false`.
    `static String` | `IGNITE_WAIT_SCHEMA_UPDATE` Timeout for waiting schema update if schema was not found for last accepted version.
    `static String` | `IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT` Count of WAL compressor worker threads.
    `static String` | `IGNITE_WAL_DEBUG_LOG_ON_RECOVERY` Default value is `false`.
    `static String` | `IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER` When set to `true`, WAL implementation with dedicated worker will be used even in FSYNC mode.
    `static String` | `IGNITE_WAL_LOG_TX_RECORDS` If the property is set `TxRecord` records will be logged to WAL.
    `static String` | `IGNITE_WAL_MMAP` Property that indicates should be mapped byte buffer used or not.
    `static String` | `IGNITE_WAL_SEGMENT_SYNC_TIMEOUT` Property for setup Ignite WAL segment sync timeout.
    `static String` | `IGNITE_WAL_SERIALIZER_VERSION` Property for setup WAL serializer version.
    `static String` | `IGNITE_WORK_DIR` Environment variable to set work directory.
    `static String` | `IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT` Number of attempts to reconnect to ZooKeeper.
    `static String` | `IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT` Timeout between ZooKeeper client retries, default 2s.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `getBoolean(String name)` Gets either system property or environment variable with given name.
    `static boolean` | `getBoolean(String name, boolean dflt)` Gets either system property or environment variable with given name.
    `static double` | `getDouble(String name, double dflt)` Gets either system property or environment variable with given name.
    `static <E extends Enum<E>> E` | `getEnum(Class<E> enumCls, String name)`
    `static <E extends Enum<E>> E` | `getEnum(String name, E dflt)`
    `static float` | `getFloat(String name, float dflt)` Gets either system property or environment variable with given name.
    `static int` | `getInteger(String name, int dflt)` Gets either system property or environment variable with given name.
    `static long` | `getLong(String name, long dflt)` Gets either system property or environment variable with given name.
    `static @Nullable String` | `getString(String name)` Gets either system property or environment variable with given name.
    `static @Nullable String` | `getString(String name, String dflt)` Gets either system property or environment variable with given name.
    `static Properties` | `snapshot()` Gets snapshot of system properties.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IGNITE_LOG_GRID_NAME

          @Deprecated
          public static final String IGNITE_LOG_GRID_NAME

      Deprecated. Use `IGNITE_LOG_INSTANCE_NAME`.
      If this system property is present the Ignite will include grid name into verbose log.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_INSTANCE_NAME

          public static final String IGNITE_LOG_INSTANCE_NAME

      If this system property is present the Ignite will include instance name into verbose log.
      See Also:
        Constant Field Values

    - #### IGNITE_RESTART_CODE

          public static final String IGNITE_RESTART_CODE

      This property is used internally to pass an exit code to loader when Ignite instance is being restarted.
      See Also:
        Constant Field Values

    - #### IGNITE_DAEMON

          public static final String IGNITE_DAEMON

      Presence of this system property with value `true` will make the grid node start as a daemon node. Node that this system property will override `IgniteConfiguration.isDaemon()` configuration.
      See Also:
        Constant Field Values

    - #### IGNITE_HOME

          public static final String IGNITE_HOME

      Defines Ignite installation folder.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_SHUTDOWN_HOOK

          public static final String IGNITE_NO_SHUTDOWN_HOOK

      If this system property is set to `true` - no shutdown hook will be set.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_DISCO_ORDER

          public static final String IGNITE_NO_DISCO_ORDER

      Name of the system property to disable requirement for proper node ordering by discovery SPI. Use with care, as proper node ordering is required for cache consistency. If set to `true`, then any discovery SPI can be used with distributed cache, otherwise, only discovery SPIs that have annotation `@GridDiscoverySpiOrderSupport(true)` will be allowed.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY

          public static final String IGNITE_DISCO_FAILED_CLIENT_RECONNECT_DELAY

      Defines reconnect delay in milliseconds for client node that was failed forcible.
      See Also:
        Constant Field Values

    - #### IGNITE_UPDATE_NOTIFIER

          public static final String IGNITE_UPDATE_NOTIFIER

      If this system property is set to `false` - no checks for new versions will be performed by Ignite. By default, Ignite periodically checks for the new version and prints out the message into the log if a new version of Ignite is available for download. Update notifier enabled flag is a cluster-wide value and determined according to the local setting during the start of the first node in the cluster. The chosen value will survive the first node shutdown and will override the property value on all newly joining nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_STARVATION_CHECK_INTERVAL

          public static final String IGNITE_STARVATION_CHECK_INTERVAL

      This system property defines interval in milliseconds in which Ignite will check thread pool state for starvation. Zero value will disable this checker.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_ASCII

          public static final String IGNITE_NO_ASCII

      If this system property is present (any value) - no ASCII logo will be printed.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_HOST

          public static final String IGNITE_JETTY_HOST

      This property allows to override Jetty host for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_PORT

          public static final String IGNITE_JETTY_PORT

      This property allows to override Jetty local port for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_JETTY_LOG_NO_OVERRIDE

          public static final String IGNITE_JETTY_LOG_NO_OVERRIDE

      This property does not allow Ignite to override Jetty log configuration for REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_SESSION_TIMEOUT

          public static final String IGNITE_REST_SESSION_TIMEOUT

      This property allow rewriting default (`30`) REST session expire time (in seconds).
      See Also:
        Constant Field Values

    - #### IGNITE_REST_SECURITY_TOKEN_TIMEOUT

          public static final String IGNITE_REST_SECURITY_TOKEN_TIMEOUT

      This property allow rewriting default (`300`) REST session security token expire time (in seconds).
      See Also:
        Constant Field Values

    - #### IGNITE_REST_MAX_TASK_RESULTS

          public static final String IGNITE_REST_MAX_TASK_RESULTS

      This property allows to override maximum count of task results stored on one node in REST processor.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_START_ON_CLIENT

          public static final String IGNITE_REST_START_ON_CLIENT

      This property allows to override default behavior that rest processor doesn't start on client node. If set `true` than rest processor will be started on client node.
      See Also:
        Constant Field Values

    - #### IGNITE_REST_GETALL_AS_ARRAY

          @Deprecated
          public static final String IGNITE_REST_GETALL_AS_ARRAY

      Deprecated. Should be made default in Apache Ignite 3.0.
      This property changes output format of `GridRestCommand.CACHE_GET_ALL` from {k: v, ...} to [{"key": k, "value": v}, ...] to allow non-string keys output.
      See Also:
        Constant Field Values

    - #### IGNITE_NEAR_GET_MAX_REMAPS

          public static final String IGNITE_NEAR_GET_MAX_REMAPS

      This property defines the maximum number of attempts to remap near get to the same primary node. Remapping may be needed when topology is changed concurrently with get operation.
      See Also:
        Constant Field Values

    - #### IGNITE_QUIET

          public static final String IGNITE_QUIET

      Set to either `true` or `false` to enable or disable quiet mode of Ignite. In quiet mode, only warning and errors are printed into the log additionally to a shortened version of standard output on the start.

      Note that if you use `ignite.{sh|bat}` scripts to start Ignite they start by default in quiet mode. You can supply `-v` flag to override it.

      See Also:
        Constant Field Values

    - #### IGNITE_TROUBLESHOOTING_LOGGER

          public static final String IGNITE_TROUBLESHOOTING_LOGGER

      Setting this option to `true` will enable troubleshooting logger. Troubleshooting logger makes logging more verbose without enabling debug mode to provide more detailed logs without performance penalty.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_INCLUDE_SENSITIVE

          public static final String IGNITE_TO_STRING_INCLUDE_SENSITIVE

      Setting to `true` enables writing sensitive information in `toString()` output.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_MAX_LENGTH

          public static final String IGNITE_TO_STRING_MAX_LENGTH

      Maximum length for `toString()` result.
      See Also:
        Constant Field Values

    - #### IGNITE_TO_STRING_COLLECTION_LIMIT

          public static final String IGNITE_TO_STRING_COLLECTION_LIMIT

      Limit collection (map, array) elements number to output.
      See Also:
        Constant Field Values

    - #### IGNITE_CONSOLE_APPENDER

          public static final String IGNITE_CONSOLE_APPENDER

      If this property is set to `true` (default) and Ignite is launched in verbose mode (see `IGNITE_QUIET`) and no console appenders can be found in configuration, then default console appender will be added. Set this property to `false` if no appenders should be added.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCHANGE_HISTORY_SIZE

          public static final String IGNITE_EXCHANGE_HISTORY_SIZE

      Maximum size for exchange history. Default value is `1000`.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCHANGE_MERGE_DELAY

          public static final String IGNITE_EXCHANGE_MERGE_DELAY

      See Also:
        Constant Field Values

    - #### IGNITE_PME_FREE_SWITCH_DISABLED

          public static final String IGNITE_PME_FREE_SWITCH_DISABLED

      PME-free switch explicitly disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_PROG_NAME

          public static final String IGNITE_PROG_NAME

      Name of the system property defining name of command line program.
      See Also:
        Constant Field Values

    - #### IGNITE_SUCCESS_FILE

          public static final String IGNITE_SUCCESS_FILE

      Name of the system property defining success file name. This file is used with auto-restarting functionality when Ignite is started by supplied `ignite.{bat|sh}` scripts.
      See Also:
        Constant Field Values

    - #### IGNITE_LOCAL_HOST

          public static final String IGNITE_LOCAL_HOST

      The system property sets a system-wide local IP address or hostname to be used by Ignite networking components. Once provided, the property overrides all the default local binding settings for Ignite nodes.

      Note, that the address can also be changed via `IgniteConfiguration.setLocalHost(String)` method. However, this system property has bigger priority and overrides the settings set via `IgniteConfiguration`.

      See Also:
        Constant Field Values

    - #### IGNITE_DEP_MODE_OVERRIDE

          public static final String IGNITE_DEP_MODE_OVERRIDE

      System property to override deployment mode configuration parameter. Valid values for property are: PRIVATE, ISOLATED, SHARED or CONTINUOUS.
      See Also:
        `DeploymentMode`, `IgniteConfiguration.getDeploymentMode()`, Constant Field Values

    - #### IGNITE_MAX_COMPLETED_TX_COUNT

          public static final String IGNITE_MAX_COMPLETED_TX_COUNT

      Property controlling size of buffer holding completed transaction versions. Such buffer is used to detect duplicate transaction and has a default value of `102400`. In most cases this value is large enough and does not need to be changed.
      See Also:
        Constant Field Values

    - #### IGNITE_SLOW_TX_WARN_TIMEOUT

          public static final String IGNITE_SLOW_TX_WARN_TIMEOUT

      Transactions that take more time, than value of this property, will be output to log with warning level. `0` (default value) disables warning on slow transactions.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS

          public static final String IGNITE_TX_DEADLOCK_DETECTION_MAX_ITERS

      Specifies maximum number of iterations for deadlock detection procedure. If value of this property is less then or equal to zero then deadlock detection will be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT

          public static final String IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT

      Specifies timeout for deadlock detection procedure.
      See Also:
        Constant Field Values

    - #### IGNITE_PENDING_TX_TRACKER_ENABLED

          public static final String IGNITE_PENDING_TX_TRACKER_ENABLED

      System property to enable pending transaction tracker. Affects impact of `IGNITE_DISABLE_WAL_DURING_REBALANCING` property: if this property is set, WAL anyway won't be disabled during rebalancing triggered by baseline topology change.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_MCAST_GRP

          public static final String IGNITE_OVERRIDE_MCAST_GRP

      System property to override multicast group taken from configuration. Used for testing purposes.
      See Also:
        Constant Field Values

    - #### IGNITE_REFLECTION_CACHE_SIZE

          public static final String IGNITE_REFLECTION_CACHE_SIZE

      System property to override default reflection cache size. Default value is `128`.
      See Also:
        Constant Field Values

    - #### IGNITE_JOBS_HISTORY_SIZE

          public static final String IGNITE_JOBS_HISTORY_SIZE

      System property to override default job processor maps sizes for finished jobs and cancellation requests. Default value is `10240`.
      See Also:
        Constant Field Values

    - #### IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL

          @Deprecated
          public static final String IGNITE_JOBS_METRICS_CONCURRENCY_LEVEL

      Deprecated. Use `GridMetricManager` instead.
      System property to override default job metrics processor property defining concurrency level for structure holding job metrics snapshots. Default value is `64`.
      See Also:
        Constant Field Values

    - #### IGNITE_CONFIG_URL

          public static final String IGNITE_CONFIG_URL

      System property to hold optional configuration URL.
      See Also:
        Constant Field Values

    - #### IGNITE_SSH_HOST

          public static final String IGNITE_SSH_HOST

      System property to hold SSH host for visor-started nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_EXPERIMENTAL_COMMAND

          public static final String IGNITE_ENABLE_EXPERIMENTAL_COMMAND

      System property to enable experimental commands in control.sh script.
      See Also:
        Constant Field Values

    - #### IGNITE_SSH_USER_NAME

          public static final String IGNITE_SSH_USER_NAME

      System property to hold SSH user name for visor-started nodes.
      See Also:
        Constant Field Values

    - #### IGNITE_PRELOAD_RESEND_TIMEOUT

          public static final String IGNITE_PRELOAD_RESEND_TIMEOUT

      System property to hold preload resend timeout for evicted partitions.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHAL_BUFFERS_RECHECK

          public static final String IGNITE_MARSHAL_BUFFERS_RECHECK

      System property to specify how often in milliseconds marshal buffers should be rechecked and potentially trimmed. Default value is `10,000ms`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_HOSTNAME_VERIFIER

          public static final String IGNITE_DISABLE_HOSTNAME_VERIFIER

      System property to disable `HostnameVerifier` for SSL connections. Can be used for development with self-signed certificates. Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT

          @Deprecated
          public static final String IGNITE_MIN_BUFFERED_COMMUNICATION_MSG_CNT

      Deprecated. Not used anymore.
      System property to disable buffered communication if node sends less messages count than specified by this property. Default value is `512`.
      See Also:
        Constant Field Values

    - #### IGNITE_OFFHEAP_SAFE_RELEASE

          public static final String IGNITE_OFFHEAP_SAFE_RELEASE

      Flag that will force Ignite to fill memory block with some recognisable pattern right before this memory block is released. This will help to recognize cases when already released memory is accessed.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE

          public static final String IGNITE_ATOMIC_CACHE_DELETE_HISTORY_SIZE

      Maximum size for atomic cache queue delete history (default is 200 000 entries per partition).
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_REMOVED_ENTRIES_TTL

          public static final String IGNITE_CACHE_REMOVED_ENTRIES_TTL

      Ttl of removed cache entries (ms).
      See Also:
        Constant Field Values

    - #### IGNITE_TCP_DISCOVERY_ADDRESSES

          public static final String IGNITE_TCP_DISCOVERY_ADDRESSES

      Comma separated list of addresses in format "10.100.22.100:45000,10.100.22.101:45000". Makes sense only for `TcpDiscoveryVmIpFinder`.
      See Also:
        Constant Field Values

    - #### IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED

          public static final String IGNITE_PERFORMANCE_SUGGESTIONS_DISABLED

      Flag indicating whether performance suggestions output on start should be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_ATOMIC_OPS_IN_TX

          public static final String IGNITE_ALLOW_ATOMIC_OPS_IN_TX

      Flag indicating whether atomic operations allowed for use inside transactions.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE

          public static final String IGNITE_ATOMIC_DEFERRED_ACK_BUFFER_SIZE

      Atomic cache deferred update response buffer size.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT

          public static final String IGNITE_ATOMIC_DEFERRED_ACK_TIMEOUT

      Atomic cache deferred update timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT

          public static final String IGNITE_ATOMIC_CACHE_QUEUE_RETRY_TIMEOUT

      Atomic cache deferred update timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT

          public static final String IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_TIMEOUT

      One phase commit deferred ack request timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE

          public static final String IGNITE_DEFERRED_ONE_PHASE_COMMIT_ACK_REQUEST_BUFFER_SIZE

      One phase commit deferred ack request buffer size.
      See Also:
        Constant Field Values

    - #### IGNITE_H2_DEBUG_CONSOLE

          @Deprecated
          public static final String IGNITE_H2_DEBUG_CONSOLE

      Deprecated. Since 2.8. H2 console is no longer supported.
      If this property set then debug console will be opened for H2 indexing SPI.
      See Also:
        Constant Field Values

    - #### IGNITE_H2_DEBUG_CONSOLE_PORT

          @Deprecated
          public static final String IGNITE_H2_DEBUG_CONSOLE_PORT

      Deprecated. Since 2.8. H2 console is no longer supported.
      This property allows to specify user defined port which H2 indexing SPI will use to start H2 debug console on. If this property is not set or set to 0, H2 debug console will use system-provided dynamic port. This property is only relevant when `IGNITE_H2_DEBUG_CONSOLE` property is set.
      See Also:
        Constant Field Values

    - #### IGNITE_IPC_SHMEM_SPACE_DEBUG

          public static final String IGNITE_IPC_SHMEM_SPACE_DEBUG

      If this property is set to `true` then shared memory space native debug will be enabled.
      See Also:
        Constant Field Values

    - #### IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK

          public static final String IGNITE_SKIP_CONFIGURATION_CONSISTENCY_CHECK

      Property allowing to skip configuration consistency checks.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_KEY_VALIDATION_DISABLED

          public static final String IGNITE_CACHE_KEY_VALIDATION_DISABLED

      Flag indicating whether validation of keys put to cache should be disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_DIR

          public static final String IGNITE_LOG_DIR

      Environment variable to override logging directory that has been set in logger configuration.
      See Also:
        Constant Field Values

    - #### IGNITE_WORK_DIR

          public static final String IGNITE_WORK_DIR

      Environment variable to set work directory. The property `IgniteConfiguration.setWorkDirectory(java.lang.String)` has higher priority.
      See Also:
        Constant Field Values

    - #### IGNITE_MBEAN_APPEND_JVM_ID

          public static final String IGNITE_MBEAN_APPEND_JVM_ID

      If this property is set to `true` then Ignite will append hash code of `Ignite` class as hex string and append JVM name returned by `RuntimeMXBean.getName()`.

      This may be helpful when running Ignite in some application server clusters or similar environments to avoid MBean name collisions.

      Default is `false`.

      See Also:
        Constant Field Values

    - #### IGNITE_MBEAN_APPEND_CLASS_LOADER_ID

          public static final String IGNITE_MBEAN_APPEND_CLASS_LOADER_ID

      If this property is set to `true` then Ignite will append hash code of class loader to MXBean name.

      Default is `true`.

      See Also:
        Constant Field Values

    - #### IGNITE_MBEANS_DISABLED

          public static final String IGNITE_MBEANS_DISABLED

      If property is set to `true`, then Ignite will disable MBeans registration. This may be helpful if MBeans are not allowed e.g. for security reasons. Default is `false`
      See Also:
        Constant Field Values

    - #### IGNITE_TEST_FEATURES_ENABLED

          public static final String IGNITE_TEST_FEATURES_ENABLED

      If property is set to `true`, then test features will be enabled. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_EXCEPTION_REGISTRY_MAX_SIZE

          public static final String IGNITE_EXCEPTION_REGISTRY_MAX_SIZE

      Property controlling size of buffer holding last exception. Default value of `1000`.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_CLIENT

          public static final String IGNITE_CACHE_CLIENT

      Property controlling default behavior of cache client flag.
      See Also:
        Constant Field Values

    - #### IGNITE_JCACHE_DEFAULT_ISOLATED

          public static final String IGNITE_JCACHE_DEFAULT_ISOLATED

      Property controlling whether CacheManager will start grid with isolated IP finder when default URL is passed in. This is needed to pass TCK tests which use default URL and assume isolated cache managers for different class loaders.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MERGE_TABLE_MAX_SIZE

          public static final String IGNITE_SQL_MERGE_TABLE_MAX_SIZE

      Property controlling maximum number of SQL result rows which can be fetched into a merge table. If there are less rows than this threshold then multiple passes throw a table will be possible, otherwise only one pass (e.g. only result streaming is possible).
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE

          public static final String IGNITE_SQL_MERGE_TABLE_PREFETCH_SIZE

      Property controlling number of SQL result rows that will be fetched into a merge table at once before applying binary search for the bounds.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK

          public static final String IGNITE_SQL_PARSER_DISABLE_H2_FALLBACK

      Disable fallback to H2 SQL parser if the internal SQL parser fails to parse the statement.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_FORCE_LAZY_RESULT_SET

          @Deprecated
          public static final String IGNITE_SQL_FORCE_LAZY_RESULT_SET

      Deprecated. Since version 2.8.
      Force all SQL queries to be processed lazily regardless of what clients request.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_DISABLE_SYSTEM_VIEWS

          public static final String IGNITE_SQL_DISABLE_SYSTEM_VIEWS

      Disable SQL system views.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_RETRY_TIMEOUT

          public static final String IGNITE_SQL_RETRY_TIMEOUT

      SQL retry timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_UUID_DDL_BYTE_FORMAT

          public static final String IGNITE_SQL_UUID_DDL_BYTE_FORMAT

      Enable backward compatible handling of UUID through DDL.
      See Also:
        Constant Field Values

    - #### IGNITE_AFFINITY_HISTORY_SIZE

          public static final String IGNITE_AFFINITY_HISTORY_SIZE

      Maximum size for affinity assignment history.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_HISTORY_SIZE

          public static final String IGNITE_DISCOVERY_HISTORY_SIZE

      Maximum size for discovery messages history.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE

          public static final String IGNITE_DISCOVERY_CLIENT_RECONNECT_HISTORY_SIZE

      Maximum number of discovery message history used to support client reconnect.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_METRICS_QNT_WARN

          public static final String IGNITE_DISCOVERY_METRICS_QNT_WARN

      Logging a warning message when metrics quantity exceeded a specified number.
      See Also:
        Constant Field Values

    - #### CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL

          public static final String CLIENT_THROTTLE_RECONNECT_RESET_TIMEOUT_INTERVAL

      Time interval that indicates that client reconnect throttle must be reset to zero. 2 minutes by default.
      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_RETRIES_COUNT

          public static final String IGNITE_CACHE_RETRIES_COUNT

      Number of cache operation retries in case of topology exceptions.
      See Also:
        Constant Field Values

    - #### IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT

          public static final String IGNITE_THREAD_DUMP_ON_EXCHANGE_TIMEOUT

      If this property is set to `true` then Ignite will log thread dump in case of partition exchange timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_IO_DUMP_ON_TIMEOUT

          public static final String IGNITE_IO_DUMP_ON_TIMEOUT

      See Also:
        Constant Field Values

    - #### IGNITE_DIAGNOSTIC_ENABLED

          public static final String IGNITE_DIAGNOSTIC_ENABLED

      See Also:
        Constant Field Values

    - #### IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT

          public static final String IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT

      Cache operations that take more time than value of this property will be output to log. Set to `0` to disable.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT

          public static final String IGNITE_LONG_OPERATIONS_DUMP_TIMEOUT_LIMIT

      Upper time limit between long running/hanging operations debug dumps.
      See Also:
        Constant Field Values

    - #### IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY

          public static final String IGNITE_JDBC_DRIVER_CURSOR_REMOVE_DELAY

      JDBC driver cursor remove delay.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR

          public static final String IGNITE_LONG_LONG_HASH_MAP_LOAD_FACTOR

      Long-long offheap map load factor.
      See Also:
        Constant Field Values

    - #### IGNITE_MAX_NESTED_LISTENER_CALLS

          public static final String IGNITE_MAX_NESTED_LISTENER_CALLS

      Maximum number of nested listener calls before listener notification becomes asynchronous.
      See Also:
        Constant Field Values

    - #### IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY

          public static final String IGNITE_LOCAL_STORE_KEEPS_PRIMARY_ONLY

      Indicating whether local store keeps primary only. Backward compatibility flag.
      See Also:
        Constant Field Values

    - #### IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID

          public static final String IGNITE_OPTIMIZED_MARSHALLER_USE_DEFAULT_SUID

      Manages `OptimizedMarshaller` behavior of `serialVersionUID` computation for `Serializable` classes.
      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2

          public static final String IGNITE_BINARY_MARSHALLER_USE_STRING_SERIALIZATION_VER_2

      Manages type of serialization mechanism for `String` that is marshalled/unmarshalled by BinaryMarshaller. Should be used for cases when a String contains a surrogate symbol without its pair one. This is frequently used in algorithms that encrypts data in String format.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHALLER_WHITELIST

          public static final String IGNITE_MARSHALLER_WHITELIST

      Defines path to the file that contains list of classes allowed to safe deserialization.
      See Also:
        Constant Field Values

    - #### IGNITE_MARSHALLER_BLACKLIST

          public static final String IGNITE_MARSHALLER_BLACKLIST

      Defines path to the file that contains list of classes disallowed to safe deserialization.
      See Also:
        Constant Field Values

    - #### IGNITE_NO_SELECTOR_OPTS

          public static final String IGNITE_NO_SELECTOR_OPTS

      If set to `true`, then default selected keys set is used inside `GridNioServer` which lead to some extra garbage generation when processing selected keys.

      Default value is `false`. Should be switched to `true` if there are any problems in communication layer.

      See Also:
        Constant Field Values

    - #### IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD

          public static final String IGNITE_H2_INDEXING_CACHE_CLEANUP_PERIOD

      System property to specify period in milliseconds between calls of the SQL statements cache cleanup task.

      Cleanup tasks clears cache for terminated threads and for threads which did not perform SQL queries within timeout configured via `IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT` property.

      Default value is `10,000ms`.

      See Also:
        Constant Field Values

    - #### IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT

          public static final String IGNITE_H2_INDEXING_CACHE_THREAD_USAGE_TIMEOUT

      System property to specify timeout in milliseconds after which thread's SQL statements cache is cleared by cleanup task if the thread does not perform any query.

      Default value is `600,000ms`.

      See Also:
        Constant Field Values

    - #### IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE

          public static final String IGNITE_STREAM_TRANSFORMER_COMPATIBILITY_MODE

      Manages backward compatibility of `StreamTransformer.from(CacheEntryProcessor)` method.

      If the property is `true`, then the wrapped `CacheEntryProcessor` won't be able to be loaded over P2P class loading.

      If the property is `false`, then another implementation of `StreamTransformer` will be returned, that fixes P2P class loading for `CacheEntryProcessor`, but it will be incompatible with old versions of Ignite.

      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES

          @Deprecated
          public static final String IGNITE_BINARY_DONT_WRAP_TREE_STRUCTURES

      Deprecated. Should be removed in Apache Ignite 2.0.
      When set to `true` tree-based data structures - `TreeMap` and `TreeSet` - will not be wrapped into special holders introduced to overcome serialization issue caused by missing `Comparable` interface on `BinaryObject`.

      See Also:
        Constant Field Values

    - #### IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT

          public static final String IGNITE_CONSISTENT_ID_BY_HOST_WITHOUT_PORT

      When set to `true`, for consistent id will calculate by host name, without port, and you can use only one node for host in cluster.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_CONSISTENT_ID

          public static final String IGNITE_OVERRIDE_CONSISTENT_ID

      System property to specify consistent id of Ignite node.

      Value of the system property will overwrite matched property `IgniteConfiguration.setConsistentId(Serializable)` in configuration.

      See Also:
        Constant Field Values

    - #### IGNITE_IO_BALANCE_PERIOD

          public static final String IGNITE_IO_BALANCE_PERIOD

      See Also:
        Constant Field Values

    - #### IGNITE_BINARY_SORT_OBJECT_FIELDS

          @Deprecated
          public static final String IGNITE_BINARY_SORT_OBJECT_FIELDS

      Deprecated. Should be removed in Apache Ignite 2.0.
      When set to `true` fields are written by BinaryMarshaller in sorted order. Otherwise the natural order is used.

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_UNALIGNED_ACCESS

          public static final String IGNITE_MEMORY_UNALIGNED_ACCESS

      Whether Ignite can access unaligned memory addresses.

      Defaults to `false`, meaning that unaligned access will be performed only on x86 architecture.

      See Also:
        Constant Field Values

    - #### IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD

          public static final String IGNITE_MEMORY_PER_BYTE_COPY_THRESHOLD

      When unsafe memory copy if performed below this threshold, Ignite will do it on per-byte basis instead of calling to Unsafe.copyMemory().

      Defaults to 0, meaning that threshold is disabled.

      See Also:
        Constant Field Values

    - #### IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI

          public static final String IGNITE_UNWRAP_BINARY_FOR_INDEXING_SPI

      Deprecated. Should be removed in Apache Ignite 2.0.
      When set to `true` BinaryObject will be unwrapped before passing to IndexingSpi to preserve old behavior query processor with IndexingSpi.

      See Also:
        Constant Field Values

    - #### IGNITE_MAX_INDEX_PAYLOAD_SIZE

          public static final String IGNITE_MAX_INDEX_PAYLOAD_SIZE

      System property to specify maximum payload size in bytes for `H2TreeIndex`.

      Defaults to `0`, meaning that inline index store is disabled.

      See Also:
        Constant Field Values

    - #### IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL

          @Deprecated
          public static final String IGNITE_REBALANCE_STATISTICS_TIME_INTERVAL

      Deprecated. Use `MetricsMxBean.configureHitRateMetric(String, long)` instead.
      Time interval for calculating rebalance rate statistics, in milliseconds. Defaults to 60000.
      See Also:
        Constant Field Values

    - #### IGNITE_TTL_EXPIRE_BATCH_SIZE

          public static final String IGNITE_TTL_EXPIRE_BATCH_SIZE

      When cache has entries with expired TTL, each user operation will also remove this amount of expired entries. Defaults to `5`.
      See Also:
        Constant Field Values

    - #### IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE

          public static final String IGNITE_INDEXING_DISCOVERY_HISTORY_SIZE

      Indexing discovery history size. Protects from duplicate messages maintaining the list of IDs of recently arrived discovery messages.

      Defaults to `1000`.

      See Also:
        Constant Field Values

    - #### IGNITE_CACHE_START_SIZE

          public static final String IGNITE_CACHE_START_SIZE

      Cache start size for on-heap maps. Defaults to 4096.
      See Also:
        Constant Field Values

    - #### IGNITE_START_CACHES_ON_JOIN

          public static final String IGNITE_START_CACHES_ON_JOIN

      See Also:
        Constant Field Values

    - #### IGNITE_PDS_SKIP_CRC

          public static final String IGNITE_PDS_SKIP_CRC

      Skip CRC calculation flag.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY

          public static final String IGNITE_PDS_PARTITION_DESTROY_CHECKPOINT_DELAY

      WAL rebalance threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_WAL_REBALANCE_THRESHOLD

          public static final String IGNITE_PDS_WAL_REBALANCE_THRESHOLD

      WAL rebalance threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL

          public static final String IGNITE_OFFHEAP_LOCK_CONCURRENCY_LEVEL

      Ignite page memory concurrency level.
      See Also:
        Constant Field Values

    - #### IGNITE_SECURITY_COMPATIBILITY_MODE

          public static final String IGNITE_SECURITY_COMPATIBILITY_MODE

      When set to `true`, Ignite switches to compatibility mode with versions that don't support service security permissions. In this case security permissions will be ignored (if they set).

      Default is `false`, which means that service security permissions will be respected.

      See Also:
        Constant Field Values

    - #### IGNITE_CLUSTER_NAME

          public static final String IGNITE_CLUSTER_NAME

      Ignite cluster name.

      Defaults to utility cache deployment ID..

      See Also:
        Constant Field Values

    - #### IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT

          public static final String IGNITE_CLIENT_CACHE_CHANGE_MESSAGE_TIMEOUT

      When client cache is started or closed special discovery message is sent to notify cluster (for example this is needed for `ClusterGroup.forCacheNodes(String)` API. This timeout specifies how long to wait after client cache start/close before sending this message. If during this timeout another client cache changed, these events are combined into single message.

      Default is 10 seconds.

      See Also:
        Constant Field Values

    - #### IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD

          public static final String IGNITE_PARTITION_RELEASE_FUTURE_DUMP_THRESHOLD

      If a partition release future completion time during an exchange exceeds this threshold, the contents of the future will be dumped to the log on exchange. Default is `0` (disabled).
      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_FORCIBLE_NODE_KILL

          public static final String IGNITE_ENABLE_FORCIBLE_NODE_KILL

      If this property is set, a node will forcible fail a remote node when it fails to establish a communication connection.
      See Also:
        Constant Field Values

    - #### IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD

          public static final String IGNITE_DATA_STREAMING_EXECUTOR_SERVICE_TASKS_STEALING_THRESHOLD

      Tasks stealing will be started if tasks queue size per data-streamer thread exceeds this threshold.

      Default value is `4`.

      See Also:
        Constant Field Values

    - #### IGNITE_USE_ASYNC_FILE_IO_FACTORY

          public static final String IGNITE_USE_ASYNC_FILE_IO_FACTORY

      If this property is set, then Ignite will use Async File IO factory by default.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_LOG_TX_RECORDS

          public static final String IGNITE_WAL_LOG_TX_RECORDS

      If the property is set `TxRecord` records will be logged to WAL. Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_THROTTLE_CAPACITY

          public static final String IGNITE_LOG_THROTTLE_CAPACITY

      Max amount of remembered errors for `GridLogThrottle`.
      See Also:
        Constant Field Values

    - #### IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED

          public static final String IGNITE_OVERRIDE_WRITE_THROTTLING_ENABLED

      If this property is set, `DataStorageConfiguration.setWriteThrottlingEnabled(boolean)` will be overridden to `true` regardless the initial value in the configuration.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_SERIALIZER_VERSION

          public static final String IGNITE_WAL_SERIALIZER_VERSION

      Property for setup WAL serializer version.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_SEGMENT_SYNC_TIMEOUT

          public static final String IGNITE_WAL_SEGMENT_SYNC_TIMEOUT

      Property for setup Ignite WAL segment sync timeout.
      See Also:
        Constant Field Values

    - #### IGNITE_USE_LEGACY_NODE_COMPARATOR

          public static final String IGNITE_USE_LEGACY_NODE_COMPARATOR

      If the property is set Ignite will use legacy node comparator (based on node order) inste Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_MMAP

          public static final String IGNITE_WAL_MMAP

      Property that indicates should be mapped byte buffer used or not. Possible values: `true` and `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID

          public static final String IGNITE_DATA_STORAGE_FOLDER_BY_CONSISTENT_ID

      When set to `true`, Data store folders are generated only by consistent id, and no consistent ID will be set based on existing data store folders. This option also enables compatible folder generation mode as it was before 2.3.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_DISABLED

          public static final String IGNITE_JVM_PAUSE_DETECTOR_DISABLED

      Ignite JVM pause detector disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_PRECISION

          public static final String IGNITE_JVM_PAUSE_DETECTOR_PRECISION

      Ignite JVM pause detector precision.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD

          public static final String IGNITE_JVM_PAUSE_DETECTOR_THRESHOLD

      Ignite JVM pause detector threshold.
      See Also:
        Constant Field Values

    - #### IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT

          public static final String IGNITE_JVM_PAUSE_DETECTOR_LAST_EVENTS_COUNT

      Ignite JVM pause detector last events count.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_DEBUG_LOG_ON_RECOVERY

          public static final String IGNITE_WAL_DEBUG_LOG_ON_RECOVERY

      Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE

          public static final String IGNITE_PDS_MAX_CHECKPOINT_MEMORY_HISTORY_SIZE

      Number of checkpoint history entries held in memory.
      See Also:
        Constant Field Values

    - #### IGNITE_GRID_CLIENT_LOG_ENABLED

          public static final String IGNITE_GRID_CLIENT_LOG_ENABLED

      If this property is set to `true` enable logging in `GridClient`.
      See Also:
        Constant Field Values

    - #### IGNITE_DIRECT_IO_ENABLED

          public static final String IGNITE_DIRECT_IO_ENABLED

      When set to `true`, direct IO may be enabled. Direct IO enabled only if JAR file with corresponding feature is available in classpath and OS and filesystem settings allows to enable this mode. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEV_ONLY_LOGGING_DISABLED

          public static final String IGNITE_DEV_ONLY_LOGGING_DISABLED

      When set to `true`, warnings that are intended for development environments and not for production (such as coding mistakes in code using Ignite) will not be logged.
      See Also:
        Constant Field Values

    - #### IGNITE_DELAYED_REPLACED_PAGE_WRITE

          public static final String IGNITE_DELAYED_REPLACED_PAGE_WRITE

      When set to `true` (default), pages are written to page store without holding segment lock (with delay). Because other thread may require exactly the same page to be loaded from store, reads are protected by locking.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER

          public static final String IGNITE_WAL_FSYNC_WITH_DEDICATED_WORKER

      When set to `true`, WAL implementation with dedicated worker will be used even in FSYNC mode. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_ONHEAP_CACHE

          public static final String IGNITE_DISABLE_ONHEAP_CACHE

      When set to `true`, on-heap cache cannot be enabled - see `CacheConfiguration.setOnheapCacheEnabled(boolean)`. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP

          public static final String IGNITE_LOADED_PAGES_BACKWARD_SHIFT_MAP

      When set to `false`, loaded pages implementation is switched to previous version of implementation, FullPageIdTable. `True` value enables 'Robin Hood hashing: backward shift deletion'. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE

          public static final String IGNITE_CHECKPOINT_TRIGGER_ARCHIVE_SIZE_PERCENTAGE

      Property for setup percentage of archive size for checkpoint trigger. Default value is 0.25
      See Also:
        Constant Field Values

    - #### IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE

          public static final String IGNITE_THRESHOLD_WAL_ARCHIVE_SIZE_PERCENTAGE

      Property for setup percentage of WAL archive size to calculate threshold since which removing of old archive should be started. Default value is 0.5
      See Also:
        Constant Field Values

    - #### IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT

          public static final String IGNITE_THRESHOLD_WAIT_TIME_NEXT_WAL_SEGMENT

      Threshold time (in millis) to print warning to log if waiting for next wal segment took longer than the threshold. Default value is 1000 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT

          public static final String IGNITE_WAL_COMPRESSOR_WORKER_THREAD_CNT

      Count of WAL compressor worker threads. Default value is 4.
      See Also:
        Constant Field Values

    - #### IGNITE_READ_LOAD_BALANCING

          public static final String IGNITE_READ_LOAD_BALANCING

      Whenever read load balancing is enabled, that means 'get' requests will be distributed between primary and backup nodes if it is possible and `CacheConfiguration.isReadFromBackup()` is `true`. Default is `true`.
      See Also:
        `CacheConfiguration.isReadFromBackup()`, Constant Field Values

    - #### IGNITE_BPLUS_TREE_LOCK_RETRIES

          public static final String IGNITE_BPLUS_TREE_LOCK_RETRIES

      Number of repetitions to capture a lock in the B+Tree.
      See Also:
        Constant Field Values

    - #### IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE

          public static final String IGNITE_FAILURE_HANDLER_RESERVE_BUFFER_SIZE

      Amount of memory reserved in the heap at node start, which can be dropped to increase the chances of success when handling OutOfMemoryError. Default is `64kb`.
      See Also:
        Constant Field Values

    - #### IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD

          public static final String IGNITE_PART_DISTRIBUTION_WARN_THRESHOLD

      The threshold of uneven distribution above which partition distribution will be logged. The default is '50', that means: warn about nodes with 50+% difference.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_WAL_DURING_REBALANCING

          public static final String IGNITE_DISABLE_WAL_DURING_REBALANCING

      When set to `false`, WAL will not be automatically disabled during rebalancing if there is no partition in OWNING state. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION

          public static final String IGNITE_DISABLE_REBALANCING_CANCELLATION_OPTIMIZATION

      When property is set `false` each next exchange will try to compare with previous. If last rebalance is equivalent with new possible one, new rebalance does not trigger. Set the property `true` and each exchange will try to trigger new rebalance. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT

          public static final String IGNITE_NIO_RECOVERY_DESCRIPTOR_RESERVATION_TIMEOUT

      Sets timeout for TCP client recovery descriptor reservation.
      See Also:
        Constant Field Values

    - #### IGNITE_SKIP_PARTITION_SIZE_VALIDATION

          public static final String IGNITE_SKIP_PARTITION_SIZE_VALIDATION

      When set to `true`, Ignite will skip partitions sizes check on partition validation after rebalance has finished. Partitions sizes may differs on nodes when Expiry Policy is in use and it is ok due to lazy entry eviction mechanics. There is no need to disable partition size validation either in normal case or when expiry policy is configured for cache. But it should be disabled manually when policy is used on per entry basis to hint Ignite to skip this check. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_THREADS_ON_FAILURE

          public static final String IGNITE_DUMP_THREADS_ON_FAILURE

      Enables threads dumping on critical node failure. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT

          public static final String IGNITE_DUMP_THREADS_ON_FAILURE_THROTTLING_TIMEOUT

      Throttling time out for thread dump generation during failure handling. Default is failure detection timeout. `0` or negative value - throttling is disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_UNWIND_THROTTLING_TIMEOUT

          public static final String IGNITE_UNWIND_THROTTLING_TIMEOUT

      Throttling timeout in millis which avoid excessive PendingTree access on unwind if there is nothing to clean yet. Default is 500 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_THROTTLE_LOG_THRESHOLD

          public static final String IGNITE_THROTTLE_LOG_THRESHOLD

      Threshold for throttling operations logging.
      See Also:
        Constant Field Values

    - #### IGNITE_EVICTION_PERMITS

          public static final String IGNITE_EVICTION_PERMITS

      Number of concurrent operation for evict partitions.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_DML_INSIDE_TRANSACTION

          public static final String IGNITE_ALLOW_DML_INSIDE_TRANSACTION

      When set to `true`, Ignite will allow execute DML operation (MERGE|INSERT|UPDATE|DELETE) within transaction for non MVCC mode. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT

          public static final String IGNITE_ZOOKEEPER_DISCOVERY_RETRY_TIMEOUT

      Timeout between ZooKeeper client retries, default 2s.
      See Also:
        Constant Field Values

    - #### IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT

          public static final String IGNITE_ZOOKEEPER_DISCOVERY_MAX_RETRY_COUNT

      Number of attempts to reconnect to ZooKeeper.
      See Also:
        Constant Field Values

    - #### IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD

          public static final String IGNITE_MVCC_TX_SIZE_CACHING_THRESHOLD

      Maximum number for cached MVCC transaction updates. This caching is used for continuous query with MVCC caches.
      See Also:
        Constant Field Values

    - #### IGNITE_REUSE_MEMORY_ON_DEACTIVATE

          public static final String IGNITE_REUSE_MEMORY_ON_DEACTIVATE

      Try reuse memory on deactivation. Useful in case of huge page memory region size.
      See Also:
        Constant Field Values

    - #### IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT

          public static final String IGNITE_SYSTEM_WORKER_BLOCKED_TIMEOUT

      Maximum inactivity period for system worker in milliseconds. When this value is exceeded, worker is considered blocked with consequent critical failure handler invocation.
      See Also:
        Constant Field Values

    - #### IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT

          public static final String IGNITE_CHECKPOINT_READ_LOCK_TIMEOUT

      Timeout for checkpoint read lock acquisition in milliseconds.
      See Also:
        Constant Field Values

    - #### IGNITE_WAIT_SCHEMA_UPDATE

          public static final String IGNITE_WAIT_SCHEMA_UPDATE

      Timeout for waiting schema update if schema was not found for last accepted version.
      See Also:
        Constant Field Values

    - #### IGNITE_REBALANCE_THROTTLE_OVERRIDE

          @Deprecated
          public static final String IGNITE_REBALANCE_THROTTLE_OVERRIDE

      Deprecated. Use `IgniteConfiguration.getRebalanceThrottle()` instead.
      System property to override `CacheConfiguration.getRebalanceThrottle()` configuration property for all caches. `0` by default, which means that override is disabled.
      See Also:
        Constant Field Values

    - #### IGNITE_ALLOW_START_CACHES_IN_PARALLEL

          public static final String IGNITE_ALLOW_START_CACHES_IN_PARALLEL

      Enables start caches in parallel. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_FORCE_MVCC_MODE_IN_TESTS

          public static final String IGNITE_FORCE_MVCC_MODE_IN_TESTS

      For test purposes only. Force Mvcc mode.
      See Also:
        Constant Field Values

    - #### IGNITE_RECOVERY_VERBOSE_LOGGING

          public static final String IGNITE_RECOVERY_VERBOSE_LOGGING

      Allows to log additional information about all restored partitions after binary and logical recovery phases. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT

          public static final String IGNITE_DISABLE_TRIGGERING_CACHE_INTERCEPTOR_ON_CONFLICT

      Disables cache interceptor triggering in case of conflicts. Default is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFAULT_DISK_PAGE_COMPRESSION

          public static final String IGNITE_DEFAULT_DISK_PAGE_COMPRESSION

      Sets default `disk page compression`.
      See Also:
        Constant Field Values

    - #### IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE

          public static final String IGNITE_DEFAULT_DATA_STORAGE_PAGE_SIZE

      Sets default `storage page size`.
      See Also:
        Constant Field Values

    - #### IGNITE_EVENT_DRIVEN_SERVICE_PROCESSOR_ENABLED

          public static final String IGNITE_EVENT_DRIVEN_SERVICE_PROCESSOR_ENABLED

      Manages the type of the implementation of the service processor (implementation of the `IgniteServices`). All nodes in the cluster must have the same value of this property.

      If the property is `true` then event-driven implementation of the service processor will be used.

      If the property is `false` then internal cache based implementation of service processor will be used.

      Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE

          public static final String IGNITE_DISCOVERY_DISABLE_CACHE_METRICS_UPDATE

      When set to `true`, cache metrics are not included into the discovery metrics update message (in this case message contains only cluster metrics). By default cache metrics are included into the message and calculated each time the message is sent.

      Cache metrics sending can also be turned off by disabling statistics per each cache, but in this case some cache metrics will be unavailable via JMX too.

      See Also:
        Constant Field Values

    - #### IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN

          public static final String IGNITE_SQL_MAX_EXTRACTED_PARTS_FROM_BETWEEN

      Maximum number of different partitions to be extracted from between expression within sql query. In case of limit exceeding all partitions will be used.
      See Also:
        Constant Field Values

    - #### IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES

          public static final String IGNITE_GLOBAL_METASTORAGE_HISTORY_MAX_BYTES

      Maximum amount of bytes that can be stored in history of `DistributedMetaStorage` updates.
      See Also:
        Constant Field Values

    - #### IGNITE_AFFINITY_BACKUPS_THRESHOLD

          public static final String IGNITE_AFFINITY_BACKUPS_THRESHOLD

      Size threshold to allocate and retain additional HashMap to improve contains() which leads to extra memory consumption.
      See Also:
        Constant Field Values

    - #### IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION

          public static final String IGNITE_DISABLE_AFFINITY_MEMORY_OPTIMIZATION

      Flag to disable memory optimization: BitSets instead of HashSets to store partitions. When number of backups per partion is > IGNITE_AFFINITY_BACKUPS_THRESHOLD we use HashMap to improve contains() which leads to extra memory consumption, otherwise we use view on the list of cluster nodes to reduce memory consumption on redundant data structures.
      See Also:
        Constant Field Values

    - #### IGNITE_RECOVERY_SEMAPHORE_PERMITS

          public static final String IGNITE_RECOVERY_SEMAPHORE_PERMITS

      Limit the maximum number of objects in memory during the recovery procedure.
      See Also:
        Constant Field Values

    - #### IGNITE_NODE_IDS_HISTORY_SIZE

          public static final String IGNITE_NODE_IDS_HISTORY_SIZE

      Maximum size of history of server nodes (server node IDs) that ever joined to current topology.
      See Also:
        Constant Field Values

    - #### IGNITE_DIAGNOSTIC_WARN_LIMIT

          public static final String IGNITE_DIAGNOSTIC_WARN_LIMIT

      Maximum number of diagnostic warning messages per category, when waiting for PME.
      See Also:
        Constant Field Values

    - #### IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY

          public static final String IGNITE_FAIL_NODE_ON_UNRECOVERABLE_PARTITION_INCONSISTENCY

      Flag to enable triggering failure handler for node if unrecoverable partition inconsistency is discovered during partition update counters exchange.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_ALLOW_KEY_VAL_UPDATES

          public static final String IGNITE_SQL_ALLOW_KEY_VAL_UPDATES

      Allow use composite _key, _val columns at the INSERT/UPDATE/MERGE statements.
      See Also:
        Constant Field Values

    - #### IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL

          public static final String IGNITE_BASELINE_AUTO_ADJUST_LOG_INTERVAL

      Interval between logging of time of next auto-adjust.
      See Also:
        Constant Field Values

    - #### CHECKPOINT_PARALLEL_SORT_THRESHOLD

          public static final String CHECKPOINT_PARALLEL_SORT_THRESHOLD

      Starting from this number of dirty pages in checkpoint, array will be sorted with `Arrays.parallelSort(Comparable[])` in case of `CheckpointWriteOrder.SEQUENTIAL`.
      See Also:
        Constant Field Values

    - #### IGNITE_KEEP_STATIC_CACHE_CONFIGURATION

          public static final String IGNITE_KEEP_STATIC_CACHE_CONFIGURATION

      Keep static cache configuration even if stored cache data differs from the static config. When this property is set, static cache configuration will override persisted configuration. DDL operations are not allowed when this system property is set.
      See Also:
        Constant Field Values

    - #### IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE

          public static final String IGNITE_SQL_SYSTEM_SCHEMA_NAME_IGNITE

      Enable backward compatible to use 'IGNITE' as SQL system schema.
      See Also:
        Constant Field Values

    - #### IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED

          public static final String IGNITE_TX_OWNER_DUMP_REQUESTS_ALLOWED

      Shows if dump requests from local node to near node are allowed, when long running transaction is found. If allowed, the compute request to near node will be made to get thread dump of transaction owner thread.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_TYPE

          public static final String IGNITE_PAGE_LOCK_TRACKER_TYPE

      Page lock tracker type. -1 - Disable lock tracking. 1 - HEAP_STACK 2 - HEAP_LOG 3 - OFF_HEAP_STACK 4 - OFF_HEAP_LOG Default is 2 - HEAP_LOG.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_CAPACITY

          public static final String IGNITE_PAGE_LOCK_TRACKER_CAPACITY

      Capacity in pages for storing in page lock tracker strucuture. Default is 512 pages.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL

          public static final String IGNITE_PAGE_LOCK_TRACKER_CHECK_INTERVAL

      Page lock tracker thread for checking hangs threads interval. Default is 60_000 ms.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_PAGE_LOCK_ON_FAILURE

          public static final String IGNITE_DUMP_PAGE_LOCK_ON_FAILURE

      Enables threads locks dumping on critical node failure. Default is `true`.
      See Also:
        Constant Field Values

    - #### IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP

          public static final String IGNITE_LOG_CLASSPATH_CONTENT_ON_STARTUP

      Scan the classpath on startup and log all the files containing in it.
      See Also:
        Constant Field Values

    - #### IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD

          public static final String IGNITE_LONG_TRANSACTION_TIME_DUMP_THRESHOLD

      Threshold timeout for long transactions, if transaction exceeds it, it will be dumped in log with information about how much time did it spent in system time (time while aquiring locks, preparing, commiting, etc) and user time (time when client node runs some code while holding transaction and not waiting it). Equals 0 if not set. No long transactions are dumped in log if nor this parameter neither `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is set.
      See Also:
        Constant Field Values

    - #### IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT

          public static final String IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT

      The coefficient for samples of completed transactions that will be dumped in log. Must be float value between 0.0 and 1.0 inclusive. Default value is `0.0`.
      See Also:
        Constant Field Values

    - #### IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT

          public static final String IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_PER_SECOND_LIMIT

      The limit of samples of completed transactions that will be dumped in log per second, if `IGNITE_TRANSACTION_TIME_DUMP_SAMPLES_COEFFICIENT` is above `0.0`. Must be integer value greater than `0`. Default value is `5`.
      See Also:
        Constant Field Values

    - #### IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING

          public static final String IGNITE_PAGES_LIST_DISABLE_ONHEAP_CACHING

      Disable onheap caching of pages lists (free lists and reuse lists). If persistence is enabled changes to page lists are not stored to page memory immediately, they are cached in onheap buffer and flushes to page memory on a checkpoint. This property allows to disable such onheap caching. Default value is `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP

          public static final String IGNITE_MASTER_KEY_NAME_TO_CHANGE_BEFORE_STARTUP

      The master key name that the node will use during the recovery.

      If a node was unavailable during a master key change process it won't be able to join to cluster with old the master key. Set up this property to re-encrypt cache keys on startup and join to cluster with the valid master key name.

      See Also:
        Constant Field Values

    - #### IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING

          public static final String IGNITE_ENABLE_EXTRA_INDEX_REBUILD_LOGGING

      Enables extended logging of indexes create/rebuild process. Default `false`.

      Warning: enabling that option can lead to performance degradation of index creation, rebuilding and node restart.
      See Also:
        Constant Field Values

    - #### IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES

          public static final String IGNITE_TCP_COMM_SET_ATTR_HOST_NAMES

      Enables setting attribute value of `ATTR_HOST_NAMES` when value `getLocalHost` is ip, for backward compatibility. By default, `false`.
      See Also:
        Constant Field Values

    - #### IGNITE_DUMP_TX_COLLISIONS_INTERVAL

          public static final String IGNITE_DUMP_TX_COLLISIONS_INTERVAL

      When above zero, prints tx key collisions once per interval. Each transaction besides OPTIMISTIC SERIALIZABLE capture locks on all enlisted keys, for some reasons per key lock queue may rise. This property sets the interval during which statistics are collected. Default is 1000 ms.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getEnum

          public static <E extends Enum<E>> E getEnum(Class<E> enumCls,
                                                      String name)

      Parameters:
        `enumCls` - Enum type.
        `name` - Name of the system property or environment variable.
      Returns:
        Enum value or `null` if the property is not set.

    - #### getEnum

          public static <E extends Enum<E>> E getEnum(String name,
                                                      E dflt)

      Parameters:
        `name` - Name of the system property or environment variable.
      Returns:
        Enum value or the given default.

    - #### getString

          @Nullable
          public static @Nullable String getString(String name)

      Gets either system property or environment variable with given name.
      Parameters:
        `name` - Name of the system property or environment variable.
      Returns:
        Value of the system property or environment variable. Returns `null` if neither can be found for given name.

    - #### getString

          @Nullable
          public static @Nullable String getString(String name,
                                                             String dflt)

      Gets either system property or environment variable with given name.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Value of the system property or environment variable. Returns `null` if neither can be found for given name.

    - #### getBoolean

          public static boolean getBoolean(String name)

      Gets either system property or environment variable with given name. The result is transformed to `boolean` using `Boolean.valueOf()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
      Returns:
        Boolean value of the system property or environment variable. Returns `False` in case neither system property nor environment variable with given name is found.

    - #### getBoolean

          public static boolean getBoolean(String name,
                                           boolean dflt)

      Gets either system property or environment variable with given name. The result is transformed to `boolean` using `Boolean.valueOf()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Boolean value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getInteger

          public static int getInteger(String name,
                                       int dflt)

      Gets either system property or environment variable with given name. The result is transformed to `int` using `Integer.parseInt()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getFloat

          public static float getFloat(String name,
                                       float dflt)

      Gets either system property or environment variable with given name. The result is transformed to `float` using `Float.parseFloat()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Float value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getLong

          public static long getLong(String name,
                                     long dflt)

      Gets either system property or environment variable with given name. The result is transformed to `long` using `Long.parseLong()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### getDouble

          public static double getDouble(String name,
                                         double dflt)

      Gets either system property or environment variable with given name. The result is transformed to `double` using `Double.parseDouble()` method.
      Parameters:
        `name` - Name of the system property or environment variable.
        `dflt` - Default value.
      Returns:
        Integer value of the system property or environment variable. Returns default value in case neither system property nor environment variable with given name is found.

    - #### snapshot

          public static Properties snapshot()

      Gets snapshot of system properties. Snapshot could be used for thread safe iteration over system properties. Non-string properties are removed before return.
      Returns:
        Snapshot of system properties.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020